Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.streaming
Class SchedulerChooser

    java.lang.Object
      net.i2p.client.streaming.SchedulerChooser

    public class SchedulerChooser

extends Object

Examine a connection's state and pick the right scheduler for it.

Constructor Summary
`SchedulerChooser(I2PAppContext context)`

Method Summary
`TaskScheduler` | `getScheduler(Connection con)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerChooser

    public SchedulerChooser(I2PAppContext context)

Method Detail

### getScheduler

    public TaskScheduler getScheduler(Connection con)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD